#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konsole
Summary:        A terminal emulator similar to xterm for KDE
Epoch:          1
Version: 23.04.1
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://konsole.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Pty)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5DocTools)

Requires:       x11-font-misc-misc
Recommends:     konsole-doc

# upstream patches

# upstream patches (master branch)

# branch patches (100-199)

# trunk patches (200-300)

# Mageia patches

# Fedora/Kubuntu patchs

%description
A terminal emulator, similar to xterm, for KDE.

%files -f %name.lang
%_kf5_categoriesdir/konsole.categories
%_kf5_sysconfdir/xdg/konsolerc
%_kf5_bindir/konsole
%_kf5_bindir/konsoleprofile
%_kf5_datadir/konsole
%_qt5_plugindir/konsolepart.so
%_qt5_plugindir/konsoleplugins/
%_kf5_metainfodir/org.kde.konsole.appdata.xml
%_kf5_applicationsdir/org.kde.konsole.desktop
%_kf5_datadir/knsrcfiles/konsole.knsrc
%_kf5_knotificationsdir/konsole.notifyrc
%_kf5_services/konsolepart.desktop
%_kf5_servicetypes/terminalemulator.desktop
%_kf5_libdir/kconf_update_bin/konsole_globalaccel
%_kf5_libdir/kconf_update_bin/konsole_show_menubar
%_kf5_datadir/kio/servicemenus/konsolerun.desktop
%_kf5_datadir/kconf_update/konsole.upd
%_kf5_datadir/kconf_update/konsole_add_hamburgermenu_to_toolbar.sh
%_kf5_datadir/kglobalaccel/org.kde.konsole.desktop
%_kf5_datadir/zsh/site-functions/_konsole

#--------------------------------------------------------------------

%define konsoleprivate_major 1
%define libkonsoleprivate %mklibname konsoleprivate %{konsoleprivate_major}

%package -n %libkonsoleprivate
Summary:        A konsole library
Group:          System/Libraries
Obsoletes:	%{_lib}konsoleprivate22 < 1:22.04.0
Obsoletes:	%{_lib}konsoleprivate21 < 1:22.04.0

%description -n %libkonsoleprivate
A konsole library.

%files -n %libkonsoleprivate
%_kf5_libdir/libkonsoleprivate.so.%{konsoleprivate_major}
%_kf5_libdir/libkonsoleprivate.so.%{version}

#--------------------------------------------------------------------

%define konsoleapp_major 1
%define libkonsoleapp %mklibname konsoleapp %{konsoleapp_major}

%package -n %libkonsoleapp
Summary:        A konsole library
Group:          System/Libraries
Obsoletes:      %{_lib}konsoleapp22 < 1:22.04.0
Obsoletes:      %{_lib}konsoleapp21 < 1:22.04.0

%description -n %libkonsoleapp
A konsole library.

%files -n %libkonsoleapp
%_kf5_libdir/libkonsoleapp.so.%{konsoleapp_major}
%_kf5_libdir/libkonsoleapp.so.%{version}

#--------------------------------------------------------------------

%package doc
Summary:        Konsole Documentation
Group:          Documentation
BuildArch:      noarch
Requires:       konsole >= %{epoch}:%{version}-%{release}

%description doc
This package provides Konsole documentation.

%files doc
%docdir %_kf5_docdir/
%_kf5_docdir/%{name}/manual
%_kf5_docdir/%{name}/developer
%_kf5_docdir/%{name}/user
%_kf5_docdir/HTML/*/konsole

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
mkdir -p %{buildroot}%_kf5_docdir/%{name}
mv doc/* %{buildroot}%_kf5_docdir/%{name}
%find_lang %name


%changelog
* Sat May 27 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958716
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946531
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941824
- New version 22.12.2

* Sat Jan 07 2023 squidf <squidf> 1:22.12.0-2.mga9
+ Revision: 1931130
- Mass rebuild for icu 72.1

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922945
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911439
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905291
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886810
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880796
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873106
- New version 22.04.3

* Thu Jun 23 2022 wally <wally> 1:22.04.0-2.mga9
+ Revision: 1865642
- obsolete more old pkgs providing libs with major 1

* Tue Apr 26 2022 wally <wally> 1:22.04.0-1.mga9
+ Revision: 1854215
- fix lib majors after upstream change
+ neoclust <neoclust>
- New version 22.04.0

* Tue Apr 26 2022 neoclust <neoclust> 1:22.03.90-2.mga9
+ Revision: 1853859
- Add conflicts to ease update

* Sun Apr 17 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1850937
- New version 22.03.90

* Tue Dec 28 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1764593
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724098
- New version 21.04.1

* Sat Apr 24 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718803
- New version 21.04.0

* Fri Mar 05 2021 daviddavid <daviddavid> 1:20.12.3-3.mga9
+ Revision: 1699453
- update BRs, remove no more needed kdelibs4support
- update Source Url

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698587
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694113
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655644
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644030
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633846
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627088
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614957
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604153
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1597281
- New version 20.04.2

* Fri May 29 2020 neoclust <neoclust> 1:20.04.1-3.mga8
+ Revision: 1588871
- Add P1 to fix an other konsole crash

* Thu May 28 2020 neoclust <neoclust> 1:20.04.1-2.mga8
+ Revision: 1588681
- Add P0 to fix a crash in konsole

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1585120
- New version 20.04.1

* Sat Apr 18 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568824
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559356
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540236
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513326
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466984
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457932
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446914
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425024
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390479
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1388679
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382739
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375662
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365602
- New version 18.12.2

* Tue Jan 22 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1359387
- New version 18.12.1

* Wed Dec 26 2018 daviddavid <daviddavid> 1:18.12.0-2.mga7
+ Revision: 1345110
- backport upstream patch to fix regression on tab color not reverting
  back to 'no activity' color

* Thu Dec 20 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1343241
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332774
- New version 18.08.3

* Sun Nov 18 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1330962
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298622
- Mageia 7 Mass Rebuild

* Sat May 26 2018 wally <wally> 1:18.04.1-1.mga7
+ Revision: 1232343
- new lib major 18
+ neoclust <neoclust>
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201925
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194947
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186486
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143076
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136810
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 1:17.04.3-2.mga7
+ Revision: 1130592
- Add conflicts to ease upgrade

* Mon Jul 24 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1129969
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090107
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076847
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072045
- New version 16.11.90

* Thu Nov 10 2016 ghibo <ghibo> 1:16.08.3-1.mga6
+ Revision: 1066308
- New version 16.08.3

* Tue Oct 18 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061830
- New version 16.08.2

* Sun Sep 18 2016 akien <akien> 1:16.08.1-2.mga6
+ Revision: 1053587
- Fix updating of tab title (upstream patch)

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050689
- New version 16.08.1

* Mon Aug 22 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047797
- New version 16.08.0

* Sun Jul 10 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040807
- New version 16.04.3
- New version 16.04.2

* Tue May 31 2016 daviddavid <daviddavid> 1:16.04.1-2.mga6
+ Revision: 1019618
- backport some upstream fixes

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012580
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004369
- New version 16.04.0

* Wed Mar 30 2016 shlomif <shlomif> 1:16.03.80-2.mga6
+ Revision: 996837
- Fix konsoleprivate_major version and the build
+ neoclust <neoclust>
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991212
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987482
- New version 15.12.2

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1:15.12.1-3.mga6
+ Revision: 956016
- fix obsoletes for plasma5-konsole

* Mon Jan 25 2016 neoclust <neoclust> 1:15.12.1-2.mga6
+ Revision: 927596
- Try to better obsolete plasma5-konsole

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922650
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911956
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905414
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901150
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890631
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880443
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865961
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863718
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861774
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859250
- New version 15.07.80

* Mon Jul 06 2015 neoclust <neoclust> 1:15.04.3-2.mga6
+ Revision: 851815
- Obsoletes plasma5-konsole

* Sun Jul 05 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 851086
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800627
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787720
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 739892
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734575
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681172
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667512
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663024
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656702
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653888
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651994
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636762
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625529
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615606
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609422
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606863
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603370
- New version 4.12.80

* Mon Mar 10 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 601681
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590491
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580692
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555022
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551294
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539873
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490689
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 1:4.11.1-2.mga4
+ Revision: 488642
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476784
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465137
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458940
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455326
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447893
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435242
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428361
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407173
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401908
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394350
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339395
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334504
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326708
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320262
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316146
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 1:4.9.2-1.mga3
+ Revision: 301922
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289711
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 277090
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269695
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 1:4.8.95-1.mga3
+ Revision: 265730
- New version - 4.8.95
+ mikala <mikala>
- Add patch301 to fix mga #6119 (konsole appends white space at end of line)
  patch was missing in cauldron, while it was initially in mga1 (noticed by Frederic Buclin)

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257213
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228463
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221492
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198176
- Updating tarball to KDE 4.8.0

* Fri Jan 06 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 191994
- Update tarball to KDE SC 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186425
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182136
- Update tarball to KDE SC 4.7.90
- Fix BuildRequires
- use gold as linker
- build with DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176468
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161364
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151967
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140658
- Update tarball to KDE SC 4.7.1
- Split konsole documentation in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros
- fix license
- fix files list

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122412
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115675
- imported package konsole

